package ru.yandex.wmconsole.data.info;

import org.jetbrains.annotations.Nullable;
import ru.yandex.wmconsole.data.VerificationStateEnum;
import ru.yandex.wmconsole.verification.VerificationTypeEnum;

/**
 * User: azakharov
 * Date: 18.04.14
 * Time: 16:35
 */
public class OwnedHostInfo extends ShortHostInfo {

    private Long mainMirrorId;

    public OwnedHostInfo(long id, String name, VerificationStateEnum verificationState, VerificationTypeEnum verificationType, @Nullable Long mainMirrorId) {
        super(id, name, verificationState, verificationType);
        this.mainMirrorId = mainMirrorId;
    }

    public Long getMainMirrorId() {
        return mainMirrorId;
    }
}
